.ry-map-marker {
    width: max-content;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.ry-location-map-section {
    position: relative;
    margin-top: 140px;
}
.ry-location-header-section {
    background: #2f4a6e;
    padding: 40px;
	margin-top: -4px;
}
.ry-location-header-section .ry-location-title h3 {
    font-size: clamp(1.875rem, 1.6838rem + 0.7843vw, 2.625rem) !important;
    letter-spacing: 0px;
    color: #ffffff;
    font-family: "Questrial" !important;
}
.ry-location-header-section .ry-flex {
    align-items: center;
    gap: 40px;
}
.ry-location-header-section .ry-location-details-blocks {
    display: flex;
    align-items: center;
    gap: 20px;
}
.ry-location-header-section .ry-each-items {
    display: flex;
    align-items: center;
    gap: 20px;
}
.ry-location-header-section .ry-each-items .ry-svg-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 74px;
    height: 74px;
    background: #576c88;
}
.ry-location-header-section .ry-each-items .ry-svg-wrap svg {
    width: 30px;
    height: 30px;
}
.ry-location-header-section .ry-each-items .span-1 {
    opacity: 0.600;
    font-size: 15px;
    text-transform: uppercase;
    color: #ffffff;
    font-weight: 400;
    text-align: center;
}
.ry-location-header-section .ry-each-items .ry-text-wrap.ry-address a {
    font-size: 18px;
    letter-spacing: 0px;
    line-height: 1.1;
    color: #ffffff;
    font-weight: 400;
}
.ry-location-header-section .ry-each-items .ry-text-wrap.ry-phone a {
    font-size: clamp(1.25rem, 1.1544rem + 0.3922vw, 1.625rem);
    letter-spacing: -1px;
    line-height: 1.1;
    color: #ffffff;
    font-weight: 400;
}
.ry-btn-wrap {
    margin-top: 0;
}
body .ry-btn.ry-btn-white {
    background-color: #f6f4f1 !important;
    font-size: 20px;
    letter-spacing: 0px;
    line-height: 25px;
    color: #202b31 !important;
    text-transform: initial
}
body .ry-btn.ry-btn-white:hover {
    color: #f6f4f1 !important;
}


.ry-location-box {
    max-width: max-content;
    padding: 10px 25px;
    display: flex;
    gap: 5px;
    background: #2f4a6e;
    align-items: center;
}
.ry-location-box .ry-loc-name p {
    color: #fff;
    font-size: 18px;
}
.ry-location-about .ry-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.ry-location-about .ry-about-flex {
    display: flex;
    justify-content: center;
    gap: 40px;
    margin-top: 3rem;
}

.ry-location-cta {
    background: #2f4a6e;
}
.ry-location-cta .ry-each * {
    color: #fff;
}
.ry-location-cta .ry-flex {
    gap: 160px;
}
.ry-location-cta .ry-each .ry-headline {
    margin-bottom: 10px;
}
.ry-location-cta-form {
    margin-top: 2rem;
}
.ry-location-cta .form-control {
    background: transparent;
    border: none;
    border-bottom: 1px solid #ffffff40;
    border-radius: 0;
    height: 50px;
    font-size: 20px;
}
.ry-location-cta .form-control::placeholder {
    color: #fff !Important;
    font-size: 20px;
}
.ry-location-cta textarea.form-control {
    height: 220px;
}
.ry-location-cta button.ry-btn.ry-btn-transparent {
    background: transparent;
    border: 1px solid #fff;
    height: 55px;
}
.ry-location-cta .ry-btn.ry-btn-transparent {
    margin-top: 30px;
}
.ry-location-cta .ry-flex .ry-each:last-child {
    max-width: 395px;
}
.ry-location-cta .ry-flex .ry-each .ry-loc-cta-img-wrap img {
    object-fit: cover;
	border-radius: 12px;
}
.ry-location-cta .ry-each .ry-blocks {
    display: flex;
    flex-direction: column;
    position: relative;
}
.ry-location-cta .ry-each .ry-loc-appt-btn-wrap a {
    position: relative;
    height: 60px;
    background-color: #202b31;
    display: flex;
    align-items: center;
    padding: 10px 20px;
    text-transform: uppercase;
    border-radius: 0 0 12px 12px;
}
.ry-location-cta .ry-each .ry-loc-appt-btn-wrap {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}
.ry-location-cta .ry-each .ry-loc-appt-btn-wrap a:after {
    content: '';
    width: 22px;
    height: 22px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    background-size: 22px;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='24px' viewBox='0 -960 960 960' width='24px' fill='%23fff'%3E%3Cpath d='m256-240-56-56 384-384H240v-80h480v480h-80v-344L256-240Z'/%3E%3C/svg%3E");
}
.ry-location-cta .ry-each .ry-loc-appt-btn-wrap a:hover {
    background: #2a2f35;
}
.ry-location-cta .ry-blocks.ry-blocks-loc-details {
    margin-top: 2rem;
}
.ry-location-cta .ry-loc-details-title p {
    font-size: 20px;
    letter-spacing: 1px;
    text-transform: uppercase;
}
.ry-location-cta .ry-blocks.ry-blocks-loc-details > div:not(.office-hours) {
    display: flex;
    align-items: center;
    gap: 20px;
}
.ry-location-cta .ry-blocks.ry-blocks-loc-details > div:not(.office-hours) .ry-loc-details-title {
    display: inline-block;
    width: 150px;
}
.ry-location-cta .location-social-media {
    width: max-content;
    display: flex;
    gap: 10px;
}
.ry-location-cta .location-social-list a {
    background-color: #f6f4f1;
    width: 47px;
    height: 47px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #4b3f38 !important;
    font-size: 20px;
}
.ry-location-cta .location-social-list {
    width: 100%;
}
.ry-location-cta .hours-wrapper ul li {
    list-style: none;
}
.ry-location-cta .hours-wrapper ul {
    padding-left: 0;
}
.ry-location-cta .hours-wrapper ul li .span-1 {
    display: inline-block;
    width: 164px;
}
.ry-location-cta .ry-blocks.ry-blocks-loc-details > div:not(.office-hours) {
    margin-top: 30px;
}
.ry-location-cta .office-hours .ry-loc-details-title {
    margin-bottom: 10px
}

.module-44 .ry-footer-copyright {
    margin-top: -1px;
}
.module-44 .ry-footer-top {
    display: none;
}
.module-44 {
    padding-top: 0;
}


/** PLACE YOUR MOBILE AND UP CSS HERE **/

@media (max-width: 1080px) {
	.ry-location-map-section {
		margin-top: 0;
	}
	.ry-location-header-section .ry-flex {
		flex-direction: column;
		gap: 20px;
	}
	.ry-location-header-section .ry-flex .ry-location-title h3 {
		text-align: center;
	}
	.ry-location-cta .ry-flex {
		gap: 40px;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}
	.ry-location-cta .ry-flex .ry-text div {
		text-align: center;
	}
	.ry-location-cta button.ry-btn.ry-btn-transparent {
		margin: 30px auto 0;
	}
}

@media (max-width: 768px) {
	.ry-location-header-section .ry-location-details-blocks {
		flex-direction: column;
	}
	.ry-location-header-section .ry-each-items {
		flex-direction: column;
	}
	.ry-location-header-section .ry-each-items * {
		text-align: center;
	}
	.ry-location-about .ry-about-flex {
		margin-top: 2rem;
		flex-wrap: wrap;
	}
}

@media (max-width: 500px) {
	.ry-location-cta .hours-wrapper ul li {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}
	.ry-location-cta .hours-wrapper ul li .span-1,
	.ry-location-cta .ry-blocks.ry-blocks-loc-details > div:not(.office-hours) * {
		text-align: center;
	}
	.ry-location-cta .ry-blocks.ry-blocks-loc-details > div:not(.office-hours) {
		flex-direction: column;
	}
}